From 727c739370acd45a9b01c2aecc0a450e2694c078 Mon Sep 17 00:00:00 2001
From: Tails developers <tails@boum.org>
Date: Sun, 3 Aug 2014 18:55:12 +0200
Subject: [PATCH] Migrate tor-launcher to iceweasel --app

---
 .../etc/NetworkManager/dispatcher.d/60-tor-ready-notification.sh      | 4 ++--
 config/chroot_local-includes/usr/bin/tor-launcher                     | 2 +-
 2 files changed, 3 insertions(+), 3 deletions(-)

diff --git a/config/chroot_local-includes/etc/NetworkManager/dispatcher.d/60-tor-ready-notification.sh b/config/chroot_local-includes/etc/NetworkManager/dispatcher.d/60-tor-ready-notification.sh
index 544c744..fef3789 100755
--- a/config/chroot_local-includes/etc/NetworkManager/dispatcher.d/60-tor-ready-notification.sh
+++ b/config/chroot_local-includes/etc/NetworkManager/dispatcher.d/60-tor-ready-notification.sh
@@ -31,8 +31,8 @@ done
 # Launcher is still running, we can just kill it and make sure it
 # won't start next network reconnect. A reason for this happening is
 # if Tor was restarted by tordate, e.g. if the clock was to incorrect.
-if pgrep -f "xulrunner.*tor-launcher-standalone"; then
-   pkill -f "xulrunner.*tor-launcher-standalone"
+if pgrep -f "iceweasel --app.*tor-launcher-standalone"; then
+   pkill -f "iceweasel --app.*tor-launcher-standalone"
    for p in /home/tor-launcher/.torproject/torlauncher/*.default/prefs.js; do
       sed -i '/^user_pref("extensions.torlauncher.prompt_at_startup"/d' "${p}"
       echo 'user_pref("extensions.torlauncher.prompt_at_startup", false);' >> "${p}"
diff --git a/config/chroot_local-includes/usr/bin/tor-launcher b/config/chroot_local-includes/usr/bin/tor-launcher
index 630f41f..904eb45 100755
--- a/config/chroot_local-includes/usr/bin/tor-launcher
+++ b/config/chroot_local-includes/usr/bin/tor-launcher
@@ -2,4 +2,4 @@
 
 set -e
 
-/usr/bin/xulrunner-24.0 /usr/share/tor-launcher-standalone/application.ini
+/usr/bin/iceweasel --app /usr/share/tor-launcher-standalone/application.ini
-- 
2.0.3

